cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RXD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RXD

- All Implemented Interfaces:
    ISegment

      public class RXD
      extends Segment

  RXD - Pharmacy/Treatment Dispense Segment.

  Represents an HL7 RXD message segment. This segment has the following fields:

  RXD-1: Dispense Sub-ID Counter (NM)Required
  RXD-2: Dispense/Give Code (CWE)Required
  RXD-3: Date/Time Dispensed (DTM)Required
  RXD-4: Actual Dispense Amount (NM)Required
  RXD-5: Actual Dispense Units (CWE)Conditional
  RXD-6: Actual Dosage Form (CWE)Optional
  RXD-7: Prescription Number (ST)Required
  RXD-8: Number of Refills Remaining (NM)Conditional
  RXD-9: Dispense Notes (ST)Optional
  RXD-10: Dispensing Provider (XCN)Backward
  RXD-11: Substitution Status (ID)Optional
  RXD-12: Total Daily Dose (CQ)Optional
  RXD-13: Dispense-to Location (LA2)Withdrawn
  RXD-14: Needs Human Review (ID)Optional
  RXD-15: Special Dispensing Instructions (CWE)Optional
  RXD-16: Actual Strength (NM)Optional
  RXD-17: Actual Strength Unit (CWE)Optional
  RXD-18: Substance Lot Number (ST)Optional
  RXD-19: Substance Expiration Date (DTM)Optional
  RXD-20: Substance Manufacturer Name (CWE)Optional
  RXD-21: Indication (CWE)Optional
  RXD-22: Dispense Package Size (NM)Optional
  RXD-23: Dispense Package Size Unit (CWE)Optional
  RXD-24: Dispense Package Method (ID)Optional
  RXD-25: Supplementary Code (CWE)Optional
  RXD-26: Initiating Location (CWE)Optional
  RXD-27: Packaging/Assembly Location (CWE)Optional
  RXD-28: Actual Drug Strength Volume (NM)Optional
  RXD-29: Actual Drug Strength Volume Units (CWE)Optional
  RXD-30: Dispense to Pharmacy (CWE)Backward
  RXD-31: Dispense to Pharmacy Address (XAD)Backward
  RXD-32: Pharmacy Order Type (ID)Optional
  RXD-33: Dispense Type (CWE)Optional
  RXD-34: Pharmacy Phone Number (XTN)Optional
  RXD-35: Dispense Tag Identifier (EI)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RXD()` Constructs the RXD segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDispenseNotes(ST objdispenseNotes)` Add the Dispense Notes.
    `void` | `addDispenseNotes(java.lang.String strDispenseNotes)` Add the Dispense Notes.
    `void` | `addDispenseTagIdentifier(EI objtempDispenseTagIdentifier)` Set the Dispense Tag Identifier This field contains an identifier for the individual product instance for the dispense occurrence.
    `void` | `addDispenseTagIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Dispense Tag Identifier This field contains an identifier for the individual product instance for the dispense occurrence.
    `void` | `addDispensingProvider(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Dispensing Provider.
    `void` | `addDispensingProvider(XCN objdispensingProvider)` Add the Dispensing Provider.
    `void` | `addIndication(CWE objindication)` Add the Indication.
    `void` | `addIndication(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Indication.
    `void` | `addPharmacyPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Pharmacy Phone Number.
    `void` | `addPharmacyPhoneNumber(XTN objtempPharmacyPhoneNumber)` Sets the Pharmacy Phone Number.
    `void` | `addSpecialDispensingInstructions(CWE objSpecialDispensingInstructions)` Add the Special Dispensing Instructions.
    `void` | `addSpecialDispensingInstructions(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Special Dispensing Instructions.
    `void` | `addSubstanceExpirationDate(DTM objsubstanceExpirationDate)` Add the Substance Expiration Date.
    `void` | `addSubstanceExpirationDate(java.lang.String strTime)` Add the Substance Expiration Date.
    `void` | `addSubstanceLotNumber(ST objsubstanceLotNumber)` Add the Substance Lot Number.
    `void` | `addSubstanceLotNumber(java.lang.String strSubstanceLotNumber)` Add the Substance Lot Number.
    `void` | `addSubstanceManufacturerName(CWE objsubstanceManufacturerName)` Add the Substance Manufacturer Name.
    `void` | `addSubstanceManufacturerName(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Substance Manufacturer Name.
    `void` | `addSupplementaryCode(CWE objsupplementaryCode)` Add the Supplementary Code.
    `void` | `addSupplementaryCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Supplementary Code.
    `NM` | `getActualDispenseAmount()` Retrieves the Actual Dispense Amount.
    `CWE` | `getActualDispenseUnits()` Retrieves the Actual Dispense Units.
    `CWE` | `getActualDosageForm()` Retrieves the Actual Dosage Form.
    `NM` | `getActualDrugStrengthVolume()` Retrieves the Actual Drug Strength Volume.
    `CWE` | `getActualDrugStrengthVolumeUnits()` Retrieves the Actual Drug Strength Volume Units.
    `NM` | `getActualStrength()` Retrieves the Actual Strength.
    `CWE` | `getActualStrengthUnit()` Retrieves the Actual Strength Unit.
    `DTM` | `getDateTimeDispensed()` Retrieves the Date Time Dispensed.
    `CWE` | `getDispenseGiveCode()` Retrieves the Dispense Give Code.
    `ISingleCollection<ST>` | `getDispenseNotes()` Retrieves the Dispense Notes.
    `ID` | `getDispensePackageMethod()` Retrieves the Dispense Package Method.
    `NM` | `getDispensePackageSize()` Retrieves the Dispense Package Size.
    `CWE` | `getDispensePackageSizeUnit()` Retrieves the Dispense Package Size Unit.
    `NM` | `getDispenseSub_IDCounter()` Retrieves the Dispense Sub ID Counter.
    `ISingleCollection<EI>` | `getDispenseTagIdentifier()` Retrieves the Dispense Tag Identifier.
    `CWE` | `getDispensetoPharmacy()` Retrieves the Dispense to Pharmacy.
    `XAD` | `getDispensetoPharmacyAddress()` Retrieves the Dispense to Pharmacy Address.
    `CWE` | `getDispenseType()` Retrieves the Dispense Type.
    `ISingleCollection<XCN>` | `getDispensingProvider()` Retrieves the Dispensing Provider.
    `ISingleCollection<CWE>` | `getIndication()` Retrieves the Indication.
    `CWE` | `getInitiatingLocation()` Retrieves the Initiating Location.
    `ID` | `getNeedsHumanReview()` Retrieves the Needs Human Review.
    `NM` | `getNumberofRefillsRemaining()` Retrieves the Number of Refills Remaining.
    `CWE` | `getPackagingAssemblyLocation()` Retrieves the Packaging Assembly Location.
    `ID` | `getPharmacyOrderType()` Retrieves the Pharmacy Order Type.
    `ISingleCollection<XTN>` | `getPharmacyPhoneNumber()` Retrieves the Pharmacy Phone Number.
    `ST` | `getPrescriptionNumber()` Retrieves the Prescription Number.
    `ISingleCollection<CWE>` | `getSpecialDispensingInstructions()` Retrieves the Special Dispensing Instructions This field specify that contains pharmacy or treatment supplier-generated special instructions to the provider dispensing/administering the order.
    `ISingleCollection<DTM>` | `getSubstanceExpirationDate()` Retrieves the Substance Expiration Date.
    `ISingleCollection<ST>` | `getSubstanceLotNumber()` Retrieves the Substance Lot Number.
    `ISingleCollection<CWE>` | `getSubstanceManufacturerName()` Retrieves the Substance Manufacturer Name.
    `ID` | `getSubstitutionStatus()` Retrieves the Substitution Status.
    `ISingleCollection<CWE>` | `getSupplementaryCode()` Retrieves the Supplementary Code.
    `CQ` | `getTotalDailyDose()` Retrieves the Total Daily Dose.
    `void` | `setActualDispenseAmount(NM objactualDispenseAmount)` Set the Actual Dispense Amount.
    `void` | `setActualDispenseAmount(java.lang.String strActualDispenseAmount)` Set the Actual Dispense Amount.
    `void` | `setActualDispenseUnits(CWE objactualDispenseUnits)` Set the Actual Dispense Units.
    `void` | `setActualDispenseUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Actual Dispense Units.
    `void` | `setActualDosageForm(CWE objactualDosageForm)` Set the Actual Dosage Form.
    `void` | `setActualDosageForm(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Actual Dosage Form.
    `void` | `setActualDrugStrengthVolume(NM objactualDrugStrengthVolume)` Set the Actual Drug Strength Volume.
    `void` | `setActualDrugStrengthVolume(java.lang.String strActualDrugStrengthVolume)` Set the Actual Drug Strength Volume.
    `void` | `setActualDrugStrengthVolumeUnits(CWE objactualDrugStrengthVolumeUnits)` Set the Actual Drug Strength Volume Units.
    `void` | `setActualDrugStrengthVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Actual Drug Strength Volume Units.
    `void` | `setActualStrength(NM objactualStrength)` Set the Actual Strength.
    `void` | `setActualStrength(java.lang.String strActualStrength)` Set the Actual Strength.
    `void` | `setActualStrengthUnit(CWE objactualStrengthUnit)` Set the Actual Strength Unit.
    `void` | `setActualStrengthUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Actual Strength Unit.
    `void` | `setDateTimeDispensed(DTM objdateTimeDispensed)` Set the Date Time Dispensed.
    `void` | `setDateTimeDispensed(java.lang.String strTime)` Set the Date Time Dispensed.
    `void` | `setDispenseGiveCode(CWE objdispenseGiveCode)` Set the Dispense Give Code.
    `void` | `setDispenseGiveCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense Give Code.
    `void` | `setDispenseNotes(ISingleCollection<ST> objdispenseNotesList)` Set the Dispense Notes.
    `void` | `setDispensePackageMethod(ID objdispensePackageMethod)` Set the Dispense Package Method.
    `void` | `setDispensePackageMethod(java.lang.String strDispensePackageMethod)` Set the Dispense Package Method.
    `void` | `setDispensePackageSize(NM objdispensePackageSize)` Set the Dispense Package Size.
    `void` | `setDispensePackageSize(java.lang.String strDispensePackageSize)` Set the Dispense Package Size.
    `void` | `setDispensePackageSizeUnit(CWE objdispensePackageSizeUnit)` Set the Dispense Package Size Unit.
    `void` | `setDispensePackageSizeUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense Package Size Unit.
    `void` | `setDispenseSub_IDCounter(NM objdispenseSub_IDCounter)` Set the Dispense Sub ID Counter.
    `void` | `setDispenseSub_IDCounter(java.lang.String strDispenseSub_IDCounter)` Set the Dispense Sub ID Counter.
    `void` | `setDispenseTagIdentifier(ISingleCollection<EI> objDispenseTagIdentifierList)` Set the DispenseTagIdentifier list.
    `void` | `setDispensetoPharmacy(CWE objdispensetoPharmacy)` Set the Dispense to Pharmacy.
    `void` | `setDispensetoPharmacy(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense to Pharmacy.
    `void` | `setDispensetoPharmacyAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Dispense to Pharmacy Address.
    `void` | `setDispensetoPharmacyAddress(XAD objdispensetoPharmacyAddress)` Set the Dispense to Pharmacy Address.
    `void` | `setDispenseType(CWE objdispenseType)` Set the Dispense Type.
    `void` | `setDispenseType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense Type.
    `void` | `setDispensingProvider(ISingleCollection<XCN> objdispensingProviderList)` Set the Dispensing Provider.
    `void` | `setIndication(ISingleCollection<CWE> objindicationList)` Set the Indication.
    `void` | `setInitiatingLocation(CWE objinitiatingLocation)` Set the Initiating Location.
    `void` | `setInitiatingLocation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Initiating Location.
    `void` | `setNeedsHumanReview(ID objneedsHumanReview)` Set the Needs Human Review.
    `void` | `setNeedsHumanReview(java.lang.String strNeedsHumanReview)` Set the Needs Human Review.
    `void` | `setNumberofRefillsRemaining(NM objnumberofRefillsRemaining)` Set the Number of Refills Remaining.
    `void` | `setNumberofRefillsRemaining(java.lang.String strNumberofRefillsRemaining)` Set the Number of Refills Remaining.
    `void` | `setPackagingAssemblyLocation(CWE objpackagingAssemblyLocation)` Set the Packaging Assembly Location.
    `void` | `setPackagingAssemblyLocation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Packaging Assembly Location.
    `void` | `setPharmacyOrderType(ID objpharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyOrderType(java.lang.String strPharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyPhoneNumber(ISingleCollection<XTN> objPharmacyPhoneNumber)` Set the Pharmacy Phone Number.
    `void` | `setPrescriptionNumber(ST objprescriptionNumber)` Set the Prescription Number.
    `void` | `setPrescriptionNumber(java.lang.String strPrescriptionNumber)` Set the Prescription Number.
    `void` | `setSpecialDispensingInstructions(ISingleCollection<CWE> objSpecialDispensingInstructionsList)` Set the Special Dispensing Instructions.
    `void` | `setSubstanceExpirationDate(ISingleCollection<DTM> objsubstanceExpirationDateList)` Set the Substance Expiration Date.
    `void` | `setSubstanceLotNumber(ISingleCollection<ST> objsubstanceLotNumberList)` Set the Substance Lot Number.
    `void` | `setSubstanceManufacturerName(ISingleCollection<CWE> objsubstanceManufacturerNameList)` Set the Substance Manufacturer Name.
    `void` | `setSubstitutionStatus(ID objsubstitutionStatus)` Sets the Substitution Status.
    `void` | `setSubstitutionStatus(java.lang.String strSubstitutionStatus)` Sets the Substitution Status.
    `void` | `setSupplementaryCode(ISingleCollection<CWE> objsupplementaryCodeList)` Set the Supplementary Code.
    `void` | `setTotalDailyDose(CQ objtotalDailyDose)` Set the Total Daily Dose.
    `void` | `setTotalDailyDose(java.lang.String strQuantity, CWE objUnits)` Set the Total Daily Dose.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RXD

          public RXD()

      Constructs the RXD segment.

  - ### Method Detail

    - #### getActualDispenseAmount

          public NM getActualDispenseAmount()

      Retrieves the Actual Dispense Amount.
      Returns:
        NM - actualDispenseAmount

    - #### getActualDispenseUnits

          public CWE getActualDispenseUnits()

      Retrieves the Actual Dispense Units.
      Returns:
        CWE - actualDispenseUnits

    - #### getActualDosageForm

          public CWE getActualDosageForm()

      Retrieves the Actual Dosage Form. This field specify the medication/treatment is aggregated for dispensing.
      Returns:
        CWE - actualDosageForm

    - #### getActualDrugStrengthVolume

          public NM getActualDrugStrengthVolume()

      Retrieves the Actual Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Returns:
        NM - actualDrugStrengthVolume

    - #### getActualDrugStrengthVolumeUnits

          public CWE getActualDrugStrengthVolumeUnits()

      Retrieves the Actual Drug Strength Volume Units.
      Returns:
        CWE - actualDrugStrengthVolumeUnits

    - #### getActualStrength

          public NM getActualStrength()

      Retrieves the Actual Strength. This field specify single dosage unit of the dispensed product.
      Returns:
        NM - actualStrength

    - #### getActualStrengthUnit

          public CWE getActualStrengthUnit()

      Retrieves the Actual Strength Unit. This field specify single dosage unit of the dispensed product.
      Returns:
        CWE - actualStrengthUnit

    - #### getDateTimeDispensed

          public DTM getDateTimeDispensed()

      Retrieves the Date Time Dispensed. This field indicates when the pharmaceutical/treatment is dispensed from the pharmacy or treatment supplier.
      Returns:
        DTM - dateTimeDispensed

    - #### getDispenseGiveCode

          public CWE getDispenseGiveCode()

      Retrieves the Dispense Give Code. This field specify medical substance or treatment ordered to be given to the patient.
      Returns:
        CWE - dispenseGiveCode

    - #### getDispenseNotes

          public ISingleCollection<ST> getDispenseNotes()

      Retrieves the Dispense Notes. This field specify the free text notes to the person dispensing the medication/treatment.
      Returns:
        ISingleCollection - dispenseNotes

    - #### getDispensePackageMethod

          public ID getDispensePackageMethod()

      Retrieves the Dispense Package Method.
      Returns:
        ID - dispensePackageMethod

    - #### getDispensePackageSize

          public NM getDispensePackageSize()

      Retrieves the Dispense Package Size.
      Returns:
        NM - dispensePackageSize

    - #### getDispensePackageSizeUnit

          public CWE getDispensePackageSizeUnit()

      Retrieves the Dispense Package Size Unit.
      Returns:
        CWE - dispensePackageSizeUnit

    - #### getDispenseSub_IDCounter

          public NM getDispenseSub_IDCounter()

      Retrieves the Dispense Sub ID Counter. This field starts with 1 for the first time that medication/treatment is delivered/dispensed for this order. Increments by one with each additional issuance.
      Returns:
        NM - dispenseSub_IDCounter

    - #### getDispensetoPharmacy

          public CWE getDispensetoPharmacy()

      Retrieves the Dispense to Pharmacy.
      Returns:
        CWE - dispensetoPharmacy

    - #### getDispensetoPharmacyAddress

          public XAD getDispensetoPharmacyAddress()

      Retrieves the Dispense to Pharmacy Address. This field specify the address of the dispensing facility or the patient's location where the dispensing is occur.
      Returns:
        XAD - dispensetoPharmacyAddress

    - #### getDispenseType

          public CWE getDispenseType()

      Retrieves the Dispense Type.
      Returns:
        CWE - dispenseType

    - #### getDispensingProvider

          public ISingleCollection<XCN> getDispensingProvider()

      Retrieves the Dispensing Provider. This field provides ID of the person dispensing the pharmaceutical.
      Returns:
        ISingleCollection - dispensingProvider

    - #### getIndication

          public ISingleCollection<CWE> getIndication()

      Retrieves the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Returns:
        ISingleCollection - indication

    - #### getInitiatingLocation

          public CWE getInitiatingLocation()

      Retrieves the Initiating Location. This field specify the pharmacy or other treatment dispensing service(e.g., respiratory) that received the initial request.
      Returns:
        CWE - initiatingLocation

    - #### getNeedsHumanReview

          public ID getNeedsHumanReview()

      Retrieves the Needs Human Review.
      Returns:
        ID - needsHumanReview

    - #### getNumberofRefillsRemaining

          public NM getNumberofRefillsRemaining()

      Retrieves the Number of Refills Remaining.
      Returns:
        NM - numberofRefillsRemaining

    - #### getPackagingAssemblyLocation

          public CWE getPackagingAssemblyLocation()

      Retrieves the Packaging Assembly Location.
      Returns:
        CWE - packagingAssemblyLocation

    - #### getPharmacyOrderType

          public ID getPharmacyOrderType()

      Retrieves the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order is taken.
      Returns:
        ID - pharmacyOrderType

    - #### getSpecialDispensingInstructions

          public ISingleCollection<CWE> getSpecialDispensingInstructions()

      Retrieves the Special Dispensing Instructions This field specify that contains pharmacy or treatment supplier-generated special instructions to the provider dispensing/administering the order.
      Returns:
        ISingleCollection - SpecialDispensingInstructions

    - #### getPrescriptionNumber

          public ST getPrescriptionNumber()

      Retrieves the Prescription Number.
      Returns:
        ST - prescriptionNumber

    - #### getSubstanceExpirationDate

          public ISingleCollection<DTM> getSubstanceExpirationDate()

      Retrieves the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Returns:
        ISingleCollection - substanceExpirationDate

    - #### getSubstanceLotNumber

          public ISingleCollection<ST> getSubstanceLotNumber()

      Retrieves the Substance Lot Number.
      Returns:
        ISingleCollection - substanceLotNumber

    - #### getSubstanceManufacturerName

          public ISingleCollection<CWE> getSubstanceManufacturerName()

      Retrieves the Substance Manufacturer Name.
      Returns:
        ISingleCollection - substanceManufacturerName

    - #### getSubstitutionStatus

          public ID getSubstitutionStatus()

      Retrieves the Substitution Status.
      Returns:
        ID - substitutionStatus

    - #### getSupplementaryCode

          public ISingleCollection<CWE> getSupplementaryCode()

      Retrieves the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Returns:
        ISingleCollection - supplementaryCode

    - #### getTotalDailyDose

          public CQ getTotalDailyDose()

      Retrieves the Total Daily Dose. This field specify total daily dose being dispensed as expressed in terms of the actual dispense units.
      Returns:
        CQ - totalDailyDose

    - #### getPharmacyPhoneNumber

          public ISingleCollection<XTN> getPharmacyPhoneNumber()

      Retrieves the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Returns:
        ISingleCollection - Pharmacy Phone Number

    - #### getDispenseTagIdentifier

          public ISingleCollection<EI> getDispenseTagIdentifier()

      Retrieves the Dispense Tag Identifier. This field contains an identifier for the individual product instance for the dispense occurrence.
      Returns:
        ISingleCollection - Dispense Tag Identifier

    - #### setActualDispenseAmount

          public void setActualDispenseAmount(java.lang.String strActualDispenseAmount)

      Set the Actual Dispense Amount.
      Parameters:
        `strActualDispenseAmount` - String which to set as Actual Dispense Amount

    - #### setActualDispenseAmount

          public void setActualDispenseAmount(NM objactualDispenseAmount)

      Set the Actual Dispense Amount.
      Parameters:
        `objactualDispenseAmount` - Object of Actual Dispense Amount.

    - #### setActualDispenseUnits

          public void setActualDispenseUnits(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Actual Dispense Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setActualDispenseUnits

          public void setActualDispenseUnits(CWE objactualDispenseUnits)

      Set the Actual Dispense Units.
      Parameters:
        `objactualDispenseUnits` - object of Actual Dispense Units.

    - #### setActualDosageForm

          public void setActualDosageForm(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Actual Dosage Form. This field specify the medication/treatment is aggregated for dispensing.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setActualDosageForm

          public void setActualDosageForm(CWE objactualDosageForm)

      Set the Actual Dosage Form. This field specify the medication/treatment is aggregated for dispensing.
      Parameters:
        `objactualDosageForm` - Object of Actual Dosage Form.

    - #### setActualDrugStrengthVolume

          public void setActualDrugStrengthVolume(java.lang.String strActualDrugStrengthVolume)

      Set the Actual Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `strActualDrugStrengthVolume` - String which to set as Actual Drug Strength Volume

    - #### setActualDrugStrengthVolume

          public void setActualDrugStrengthVolume(NM objactualDrugStrengthVolume)

      Set the Actual Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `objactualDrugStrengthVolume` - Object of Actual Drug Strength Volume.

    - #### setActualDrugStrengthVolumeUnits

          public void setActualDrugStrengthVolumeUnits(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Actual Drug Strength Volume Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setActualDrugStrengthVolumeUnits

          public void setActualDrugStrengthVolumeUnits(CWE objactualDrugStrengthVolumeUnits)

      Set the Actual Drug Strength Volume Units.
      Parameters:
        `objactualDrugStrengthVolumeUnits` - Object of Actual Drug Strength Volume Units.

    - #### setActualStrength

          public void setActualStrength(java.lang.String strActualStrength)

      Set the Actual Strength. This field specify single dosage unit of the dispensed product.
      Parameters:
        `strActualStrength` - String which to set as Actual Strength

    - #### setActualStrength

          public void setActualStrength(NM objactualStrength)

      Set the Actual Strength. This field specify single dosage unit of the dispensed product.
      Parameters:
        `objactualStrength` - Object of Actual Strength.

    - #### setActualStrengthUnit

          public void setActualStrengthUnit(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Actual Strength Unit. This field specify single dosage unit of the dispensed product.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setActualStrengthUnit

          public void setActualStrengthUnit(CWE objactualStrengthUnit)

      Set the Actual Strength Unit. This field specify single dosage unit of the dispensed product.
      Parameters:
        `objactualStrengthUnit` - Object of Actual Strength Unit.

    - #### setDateTimeDispensed

          public void setDateTimeDispensed(java.lang.String strTime)

      Set the Date Time Dispensed. This field indicates when the pharmaceutical/treatment is dispensed from the pharmacy or treatment supplier.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateTimeDispensed

          public void setDateTimeDispensed(DTM objdateTimeDispensed)

      Set the Date Time Dispensed. This field indicates when the pharmaceutical/treatment is dispensed from the pharmacy or treatment supplier.
      Parameters:
        `objdateTimeDispensed` - Object of Date Time Dispensed.

    - #### setDispenseGiveCode

          public void setDispenseGiveCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense Give Code. This field specify medical substance or treatment ordered to be given to the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispenseGiveCode

          public void setDispenseGiveCode(CWE objdispenseGiveCode)

      Set the Dispense Give Code. This field specify medical substance or treatment ordered to be given to the patient.
      Parameters:
        `objdispenseGiveCode` - Object of Dispense Give Code.

    - #### addDispenseNotes

          public void addDispenseNotes(java.lang.String strDispenseNotes)

      Add the Dispense Notes. This field specify the free text notes to the person dispensing the medication/treatment.
      Parameters:
        `strDispenseNotes` - String which to set as Dispense Notes

    - #### addDispenseNotes

          public void addDispenseNotes(ST objdispenseNotes)

      Add the Dispense Notes. This field specify the free text notes to the person dispensing the medication/treatment.
      Parameters:
        `objdispenseNotes` - Object of Dispense Notes.

    - #### setDispenseNotes

          public void setDispenseNotes(ISingleCollection<ST> objdispenseNotesList)

      Set the Dispense Notes. This field specify the free text notes to the person dispensing the medication/treatment.
      Parameters:
        `objdispenseNotesList` - List of Dispense Notes.

    - #### setDispensePackageMethod

          public void setDispensePackageMethod(java.lang.String strDispensePackageMethod)

      Set the Dispense Package Method.
      Parameters:
        `strDispensePackageMethod` - String which to set as Dispense Package Method

    - #### setDispensePackageMethod

          public void setDispensePackageMethod(ID objdispensePackageMethod)

      Set the Dispense Package Method.
      Parameters:
        `objdispensePackageMethod` - Object of Dispense Package Method.

    - #### setDispensePackageSize

          public void setDispensePackageSize(java.lang.String strDispensePackageSize)

      Set the Dispense Package Size.
      Parameters:
        `strDispensePackageSize` - String which to set as Dispense Package Size

    - #### setDispensePackageSize

          public void setDispensePackageSize(NM objdispensePackageSize)

      Set the Dispense Package Size.
      Parameters:
        `objdispensePackageSize` - Object of Dispense Package Size.

    - #### setDispensePackageSizeUnit

          public void setDispensePackageSizeUnit(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense Package Size Unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispensePackageSizeUnit

          public void setDispensePackageSizeUnit(CWE objdispensePackageSizeUnit)

      Set the Dispense Package Size Unit.
      Parameters:
        `objdispensePackageSizeUnit` - Object of Dispense Package Size Unit.

    - #### setDispenseSub_IDCounter

          public void setDispenseSub_IDCounter(java.lang.String strDispenseSub_IDCounter)

      Set the Dispense Sub ID Counter. This field starts with 1 for the first time that medication/treatment is delivered/dispensed for this order.
      Parameters:
        `strDispenseSub_IDCounter` - String which to set as Dispense Sub-ID Counter

    - #### setDispenseSub_IDCounter

          public void setDispenseSub_IDCounter(NM objdispenseSub_IDCounter)

      Set the Dispense Sub ID Counter. This field starts with 1 for the first time that medication/treatment is delivered/dispensed for this order.
      Parameters:
        `objdispenseSub_IDCounter` - Object of Dispense Sub ID Counter.

    - #### setDispensetoPharmacy

          public void setDispensetoPharmacy(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense to Pharmacy.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispensetoPharmacy

          public void setDispensetoPharmacy(CWE objdispensetoPharmacy)

      Set the Dispense to Pharmacy.
      Parameters:
        `objdispensetoPharmacy` - Object of Dispense to Pharmacy.

    - #### setDispensetoPharmacyAddress

          public void setDispensetoPharmacyAddress(SAD objStreetAddress,
                                          java.lang.String strOtherDesignation,
                                          java.lang.String strCity,
                                          java.lang.String strStateOrProvince,
                                          java.lang.String strZipOrPostalCode,
                                          java.lang.String strCountry,
                                          java.lang.String strAddressType,
                                          java.lang.String strOtherGeographicDesignation,
                                          CWE objCountyParishCode,
                                          CWE objCensusTract,
                                          java.lang.String strAddressRepresentationCode,
                                          DTM objEffectiveDate,
                                          DTM objExpirationDate,
                                          CWE objEXpirationReason,
                                          java.lang.String strTemporaryIndicator,
                                          java.lang.String strBadAddressIndicator,
                                          java.lang.String strAddressUsage,
                                          java.lang.String strAddressee,
                                          java.lang.String strComment,
                                          java.lang.String strPreferenceOrder,
                                          CWE objProtectionCode,
                                          EI objAddressIdentifier)

      Set the Dispense to Pharmacy Address. This field specify the address of the dispensing facility or the patient's location where the dispensing is occur.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDispensetoPharmacyAddress

          public void setDispensetoPharmacyAddress(XAD objdispensetoPharmacyAddress)

      Set the Dispense to Pharmacy Address. This field specify the address of the dispensing facility or the patient's location where the dispensing is occur.
      Parameters:
        `objdispensetoPharmacyAddress` - Object of Dispense to Pharmacy Address.

    - #### setDispenseType

          public void setDispenseType(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispenseType

          public void setDispenseType(CWE objdispenseType)

      Set the Dispense Type.
      Parameters:
        `objdispenseType` - Object of Dispense Type.

    - #### addDispensingProvider

          public void addDispensingProvider(java.lang.String strIDNumber,
                                   FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   CWE objSourceTable,
                                   HD objAssigningAuthority,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strIdentifierCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepratment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Add the Dispensing Provider. This field provides ID of the person dispensing the pharmaceutical.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addDispensingProvider

          public void addDispensingProvider(XCN objdispensingProvider)

      Add the Dispensing Provider. This field provides ID of the person dispensing the pharmaceutical.
      Parameters:
        `objdispensingProvider` - Object of Dispensing Provider.

    - #### setDispensingProvider

          public void setDispensingProvider(ISingleCollection<XCN> objdispensingProviderList)

      Set the Dispensing Provider. This field provides ID of the person dispensing the pharmaceutical.
      Parameters:
        `objdispensingProviderList` - List of Dispensing Provider.

    - #### addIndication

          public void addIndication(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addIndication

          public void addIndication(CWE objindication)

      Add the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objindication` - Object of Indication.

    - #### setIndication

          public void setIndication(ISingleCollection<CWE> objindicationList)

      Set the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objindicationList` - List of Indication.

    - #### setInitiatingLocation

          public void setInitiatingLocation(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Initiating Location. This field specify the pharmacy or other treatment dispensing service(e.g., respiratory) that received the initial request.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInitiatingLocation

          public void setInitiatingLocation(CWE objinitiatingLocation)

      Set the Initiating Location. This field specify the pharmacy or other treatment dispensing service(e.g., respiratory) that received the initial request.
      Parameters:
        `objinitiatingLocation` - object of Initiating Location.

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(java.lang.String strNeedsHumanReview)

      Set the Needs Human Review.
      Parameters:
        `strNeedsHumanReview` - String which to set as Needs Human Review

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(ID objneedsHumanReview)

      Set the Needs Human Review.
      Parameters:
        `objneedsHumanReview` - Object of Needs Human Review.

    - #### setNumberofRefillsRemaining

          public void setNumberofRefillsRemaining(java.lang.String strNumberofRefillsRemaining)

      Set the Number of Refills Remaining.
      Parameters:
        `strNumberofRefillsRemaining` - String which to set as strNumberofRefillsRemaining

    - #### setNumberofRefillsRemaining

          public void setNumberofRefillsRemaining(NM objnumberofRefillsRemaining)

      Set the Number of Refills Remaining.
      Parameters:
        `objnumberofRefillsRemaining` - Object of Number of Refills Remaining.

    - #### setPackagingAssemblyLocation

          public void setPackagingAssemblyLocation(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Packaging Assembly Location.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPackagingAssemblyLocation

          public void setPackagingAssemblyLocation(CWE objpackagingAssemblyLocation)

      Set the Packaging Assembly Location.
      Parameters:
        `objpackagingAssemblyLocation` - Object of Packaging Assembly Location.

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(java.lang.String strPharmacyOrderType)

      Set the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order is taken.
      Parameters:
        `strPharmacyOrderType` - String which to set as Pharmacy Order Type

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(ID objpharmacyOrderType)

      Set the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order is taken.
      Parameters:
        `objpharmacyOrderType` - Object of Pharmacy Order Type.

    - #### addSpecialDispensingInstructions

          public void addSpecialDispensingInstructions(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Add the Special Dispensing Instructions. This field specify that contains pharmacy or treatment supplier-generated special instructions to the provider dispensing/administering the order.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecialDispensingInstructions

          public void addSpecialDispensingInstructions(CWE objSpecialDispensingInstructions)

      Add the Special Dispensing Instructions. This field specify that contains pharmacy or treatment supplier-generated special instructions to the provider dispensing/administering the order.
      Parameters:
        `objSpecialDispensingInstructions` - Object of Special Dispensing Instructions.

    - #### setSpecialDispensingInstructions

          public void setSpecialDispensingInstructions(ISingleCollection<CWE> objSpecialDispensingInstructionsList)

      Set the Special Dispensing Instructions. This field specify that contains pharmacy or treatment supplier-generated special instructions to the provider dispensing/administering the order.
      Parameters:
        `objSpecialDispensingInstructionsList` - List of Special Dispensing Instructions.

    - #### setPrescriptionNumber

          public void setPrescriptionNumber(java.lang.String strPrescriptionNumber)

      Set the Prescription Number.
      Parameters:
        `strPrescriptionNumber` - String which to set as Prescription Number

    - #### setPrescriptionNumber

          public void setPrescriptionNumber(ST objprescriptionNumber)

      Set the Prescription Number.
      Parameters:
        `objprescriptionNumber` - Object of Prescription Number.

    - #### addSubstanceExpirationDate

          public void addSubstanceExpirationDate(java.lang.String strTime)

      Add the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### addSubstanceExpirationDate

          public void addSubstanceExpirationDate(DTM objsubstanceExpirationDate)

      Add the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Parameters:
        `objsubstanceExpirationDate` - object of Substance Expiration Date.

    - #### setSubstanceExpirationDate

          public void setSubstanceExpirationDate(ISingleCollection<DTM> objsubstanceExpirationDateList)

      Set the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Parameters:
        `objsubstanceExpirationDateList` - List of Substance Expiration Date.

    - #### addSubstanceLotNumber

          public void addSubstanceLotNumber(java.lang.String strSubstanceLotNumber)

      Add the Substance Lot Number.
      Parameters:
        `strSubstanceLotNumber` - String which to set as Substance Lot Number

    - #### addSubstanceLotNumber

          public void addSubstanceLotNumber(ST objsubstanceLotNumber)

      Add the Substance Lot Number.
      Parameters:
        `objsubstanceLotNumber` - Object of Substance Lot Number.

    - #### setSubstanceLotNumber

          public void setSubstanceLotNumber(ISingleCollection<ST> objsubstanceLotNumberList)

      Set the Substance Lot Number.
      Parameters:
        `objsubstanceLotNumberList` - List of Substance Lot Number.

    - #### addSubstanceManufacturerName

          public void addSubstanceManufacturerName(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Substance Manufacturer Name.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSubstanceManufacturerName

          public void addSubstanceManufacturerName(CWE objsubstanceManufacturerName)

      Add the Substance Manufacturer Name.
      Parameters:
        `objsubstanceManufacturerName` - object of Substance Manufacturer Name.

    - #### setSubstanceManufacturerName

          public void setSubstanceManufacturerName(ISingleCollection<CWE> objsubstanceManufacturerNameList)

      Set the Substance Manufacturer Name.
      Parameters:
        `objsubstanceManufacturerNameList` - List of Substance Manufacturer Name.

    - #### setSubstitutionStatus

          public void setSubstitutionStatus(java.lang.String strSubstitutionStatus)

      Sets the Substitution Status.
      Parameters:
        `strSubstitutionStatus` - String which to set as Substitution Status

    - #### setSubstitutionStatus

          public void setSubstitutionStatus(ID objsubstitutionStatus)

      Sets the Substitution Status.
      Parameters:
        `objsubstitutionStatus` - Object of Substitution Status.

    - #### addSupplementaryCode

          public void addSupplementaryCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Add the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSupplementaryCode

          public void addSupplementaryCode(CWE objsupplementaryCode)

      Add the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `objsupplementaryCode` - object of Supplementary Code.

    - #### setSupplementaryCode

          public void setSupplementaryCode(ISingleCollection<CWE> objsupplementaryCodeList)

      Set the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `objsupplementaryCodeList` - List of Supplementary Code.

    - #### setTotalDailyDose

          public void setTotalDailyDose(java.lang.String strQuantity,
                               CWE objUnits)

      Set the Total Daily Dose. This field specify total daily dose being dispensed as expressed in terms of the actual dispense units.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTotalDailyDose

          public void setTotalDailyDose(CQ objtotalDailyDose)

      Set the Total Daily Dose. This field specify total daily dose being dispensed as expressed in terms of the actual dispense units.
      Parameters:
        `objtotalDailyDose` - Object of Total Daily Dose.

    - #### addPharmacyPhoneNumber

          public void addPharmacyPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPharmacyPhoneNumber

          public void addPharmacyPhoneNumber(XTN objtempPharmacyPhoneNumber)

      Sets the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `objtempPharmacyPhoneNumber` - object of PharmacyPhoneNumber.

    - #### setPharmacyPhoneNumber

          public void setPharmacyPhoneNumber(ISingleCollection<XTN> objPharmacyPhoneNumber)

      Set the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `objPharmacyPhoneNumber` - List of Phone Number Home.

    - #### addDispenseTagIdentifier

          public void addDispenseTagIdentifier(java.lang.String strEntityIdentifier,
                                      java.lang.String strNamespaceId,
                                      java.lang.String strUniversalId,
                                      java.lang.String strUniversalIdType)

      Set the Dispense Tag Identifier This field contains an identifier for the individual product instance for the dispense occurrence.
      Parameters:
        `strEntityIdentifier` - Specifies entity identifier
        `strNamespaceId` - Specifies the NameSpace ID.
        `strUniversalId` - Specifies the Universal ID
        `strUniversalIdType` - Specifies the Universal ID type

    - #### addDispenseTagIdentifier

          public void addDispenseTagIdentifier(EI objtempDispenseTagIdentifier)

      Set the Dispense Tag Identifier This field contains an identifier for the individual product instance for the dispense occurrence.
      Parameters:
        `strEntityIdentifier` - Specifies entity identifier
        `strNamespaceId` - Specifies the NameSpace ID.
        `strUniversalId` - Specifies the Universal ID
        `strUniversalIdType` - Specifies the Universal ID type

    - #### setDispenseTagIdentifier

          public void setDispenseTagIdentifier(ISingleCollection<EI> objDispenseTagIdentifierList)

      Set the DispenseTagIdentifier list. This field contains an identifier for the individual product instance for the dispense occurrence.
      Parameters:
        `objDispenseTagIdentifierList` - List of DispenseTagIdentifier

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.